#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "AnimationLayerDatabase.generated.h"

class UAnimationDatabaseRow;

UCLASS(Blueprintable)
class UAnimationLayerDatabase : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	TArray<UAnimationDatabaseRow*> AnimationLayers;

public:
	UAnimationLayerDatabase();
};

FORCEINLINE uint32 GetTypeHash(const UAnimationLayerDatabase) { return 0; }
